Does it work with latest version of Joomla ? What about older versions?

Yes, it does!

When there's the new update, we're updating the installer or other artefacts to be compatible.

Older versions: There's a separate package for Joomla 1.5 which had some different structure, but it's also included in the package you'd download or purchase.
Joomla SEF URLs by Artio
X

Drop us your message